<template>
  <div :id="groupId + '-' + item.id" class="accordion-item" :class="{'is-active': item.active}">
    <dt class="accordion-item-title">
      <button @click="toggle" class="accordion-item-trigger">
        <span class="bankIcon"></span>
        <span class="accordion-item-title-text bankName">{{item.title}}</span>
        <span class="bankDescription">{{item.description}}</span>
        <span class="accordion-item-trigger-icon"></span>
      </button>
    </dt>
    <transition
      name="accordion-item"
      @enter="startTransition"
      @after-enter="endTransition"
      @before-leave="startTransition"
      @after-leave="endTransition"
    >
      <dd v-if="item.active" class="accordion-item-details">
        <div v-html="item.details" class="accordion-item-details-inner"></div>
        <img class="bankContent" src="@/assets/img/banks/bankInfo.png" alt="iconTab">
      </dd>
    </transition>
  </div>
</template>

<script>
	export default {
		name: "AccordionItem",
		props: ['item', 'multiple', 'groupId'],
		methods: {
			toggle(event) {
				if (!this.multiple) {
					this.$parent.$children.forEach((param) => {
						if (param.$el.id === event.currentTarget.parentElement.parentElement.id) param.item.active = !param.item.active
						else param.item.active = false
					})
				} else {
					this.item.active = !this.item.active
				}
			},

			startTransition(el) {
				//el.style.height = el.scrollHeight + 100 +'px'
				el.style.height = 1150 + 'px'
			},

			endTransition(el) {
				el.style.height = ''
			}
		}
	}
</script>

<style lang="sass" scoped>

  @mixin bank-accordion-icons
    width: 80px
    height: 38px
    margin: 7px 15px 7px 7px
    border-radius: 6px

  .accordion
    padding: 0

    dd
      margin-left: 0

    .bankContent
      width: 100%

    .accordion-item

      &-title
        display: flex
        position: relative
        background: #fff
        border-radius: 6px
        height: 52px
        border: 1px solid #E5E5E5
        margin-bottom: 10px


      &-trigger
        display: flex
        align-items: center
        width: 100%
        text-align: left
        background-color: transparent
        border: none

      &:nth-child(1)
        .bankIcon
          background: url('~@/assets/img/banks/bank_mastercard.svg') left center no-repeat
          @include bank-accordion-icons

      &:nth-child(2)
        .bankIcon
          background: url('~@/assets/img/banks/bank_transfer.svg') left center no-repeat
          @include bank-accordion-icons

      &:nth-child(3)
        .bankIcon
          background: url('~@/assets/img/banks/bank_trusty.svg') left center no-repeat
          @include bank-accordion-icons

      &:nth-child(4)
        .bankIcon
          background: url('~@/assets/img/banks/bank_cirrus.svg') left center no-repeat
          @include bank-accordion-icons

      &:nth-child(5)
        .bankIcon
          background: url('~@/assets/img/banks/bank_ecopayz.svg') left center no-repeat
          @include bank-accordion-icons

      &:nth-child(6)
        .bankIcon
          background: url('~@/assets/img/banks/bank_bitcoin.svg') left center no-repeat
          @include bank-accordion-icons

      .bankName
        color: #000
        font-size: 16px
        font-weight: 500
        width: 200px

      .bankDescription
        color: #636E7E
        font-size: 14px
        text-align: right
        width: 100%
        padding-right: 60px

      &-trigger-icon
        $iconSize: 8px
        display: block
        position: absolute
        top: 0
        right: 1.25rem
        bottom: 0
        margin: auto
        width: $iconSize
        height: $iconSize
        border-right: 2px solid #363636
        border-bottom: 2px solid #363636
        transform: translateY(-$iconSize / 4) rotate(45deg)
        transition: transform 0.5s ease

        .is-active &
          transform: translateY($iconSize / 4) rotate(225deg)

      &-details
        overflow: hidden

      &-enter-active, &-leave-active
        transition: height .9s ease-out

      &-enter, &-leave-to
        height: 0 !important

</style>
